PreprocessingSolver
Keywords: yacs.solver.PreprocessingSolver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.solver
Class PreprocessingSolver

    java.lang.Object
      yacs.solver.PreprocessingSolver

All Implemented Interfaces:
  Solver

public abstract class PreprocessingSolver
extends java.lang.Object
implements Solver

Abstrakte Klasse für Constraint-Solver mit Preprozessing-Verfahren.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`PreprocessingSolver()`

Method Summary
`boolean` | `evaluate(ConstraintNet constraintNet)` Methode zur Initiierung des Lösungsprozesses des jeweiligen Constraint-Solvers.
`abstract boolean` | `process(ConstraintNet constraintNet)` Benötigt als Eingabe ein Constraint-Netz.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreprocessingSolver

    public PreprocessingSolver()

Method Detail

### process

    public abstract boolean process(ConstraintNet constraintNet)
                             throws InconsistencyException

  Benötigt als Eingabe ein Constraint-Netz. Liefert `true`, wenn Wertebereichseinschränkungen vorgenommen wurden, `false` wenn nicht.

  Parameters:
    `constraintNet` - ConstraintNet
  Returns:
    boolean
  Throws:
    `InconsistencyException`

### evaluate

    public boolean evaluate(ConstraintNet constraintNet)
                     throws InconsistencyException

  Methode zur Initiierung des Lösungsprozesses des jeweiligen Constraint-Solvers. Liefert `true`, wenn Wertebereichseinschränkungen vorgenommen wurden, `false` wenn nicht.

  Specified by:
    `evaluate` in interface `Solver`
  Parameters:
    `constraintNet` - ConstraintNet
  Returns:
    boolean
  Throws:
    `InconsistencyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD